LIRC libraries: /tmp/work/src/lirc-0.10.2/lib/lirc_options.h File Reference

LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Functions | Variables
lirc_options.h File Reference
Internal API

Options management: options file, parse and retrieve. More...

`#include "lirc_log.h"`
`#include "ciniparser.h"`

Go to the source code of this file.

## Functions
void | options_set_opt (const char *key, const char *value)
loglevel_t | options_set_loglevel (const char *optarg)
| Parse and store a loglevel, returning value (possibly LIRC_BADLEVEL).
loglevel_t | options_get_app_loglevel (const char *app)
| Return loglevel based on (falling priority)
const char * | options_getstring (const char *const key)
int | options_getint (const char *const key)
int | options_getboolean (const char *const key)
void | options_add_defaults (const char *const defaults[])
void | options_load (int argc, char **const argv, const char *options_file, void(*options_load)(int, char **const))
void | options_unload (void)

## Variables
dictionary * | lirc_options

## Detailed Description

Options management: options file, parse and retrieve.

Definition in file lirc_options.h.

## Function Documentation

## ◆ options_add_defaults()

void options_add_defaults | ( | const char *const | defaults[] | ) |

Definition at line 187 of file lirc_options.c.

## ◆ options_get_app_loglevel()

loglevel_t options_get_app_loglevel | ( | const char * | app | ) |

Return loglevel based on (falling priority)

- LIRC_LOGLEVEL in environment,
- If app is non-NULL the 'debug' value in the [app]section
- The 'debug' value in the [lircd] options file section.
- The hardcoded default LIRC_DEBUG

Definition at line 160 of file lirc_options.c.

## ◆ options_getboolean()

int options_getboolean | ( | const char *const | key | ) |

Definition at line 73 of file lirc_options.c.

## ◆ options_getint()

int options_getint | ( | const char *const | key | ) |

Definition at line 67 of file lirc_options.c.

## ◆ options_getstring()

const char * options_getstring | ( | const char *const | key | ) |

Definition at line 61 of file lirc_options.c.

## ◆ options_load()

void options_load | ( | int | argc,
|  | char **const | argv,
|  | const char * | options_file,
|  | void(*)(int, char **const) | options_load )

Definition at line 111 of file lirc_options.c.

## ◆ options_set_loglevel()

loglevel_t options_set_loglevel | ( | const char * | optarg | ) |

Parse and store a loglevel, returning value (possibly LIRC_BADLEVEL).

Definition at line 40 of file lirc_options.c.

## ◆ options_set_opt()

void options_set_opt | ( | const char * | key,
|  | const char * | value )

Definition at line 54 of file lirc_options.c.

## ◆ options_unload()

void options_unload | ( | void |  | ) |

Definition at line 201 of file lirc_options.c.

## Variable Documentation

## ◆ lirc_options

dictionary* lirc_options
| extern

Definition at line 31 of file lirc_options.c.